Rivet::JetShape Class Reference

Calculate the jet shape. More...

`#include <JetShape.hh>`

Inheritance diagram for Rivet::JetShape:

## Public Member Functions

void | clear ()
| Reset projection between events.
void | calc (const Jets &jets)
| Do the calculation directly on a supplied collection of Jet objects. More...
size_t | numBins () const
| Number of equidistant radius bins.
size_t | numJets () const
| Number of jets which passed cuts.
double | rMin () const
| value.
double | rMax () const
| value.
double | ptMin () const
| value.
double | ptMax () const
| value.
double | rBinMin (size_t rbin) const
| Central value for bin rbin.
double | rBinMax (size_t rbin) const
| Central value for bin rbin.
double | rBinMid (size_t rbin) const
| Central value for bin rbin.
double | diffJetShape (size_t ijet, size_t rbin) const
| Return value of differential jet shape profile histo bin.
double | intJetShape (size_t ijet, size_t rbin) const
| Return value of integrated jet shape profile histo bin.
Constructors etc.
| JetShape (const JetAlg &jetalg, double rmin, double rmax, size_t nbins, double ptmin=0, double ptmax=MAXDOUBLE, double absrapmin=-MAXDOUBLE, double absrapmax=-MAXDOUBLE, RapScheme rapscheme=RAPIDITY)
| Constructor from histo range and number of bins.
| JetShape (const JetAlg &jetalg, vector< double > binedges, double ptmin=0, double ptmax=MAXDOUBLE, double absrapmin=-MAXDOUBLE, double absrapmax=-MAXDOUBLE, RapScheme rapscheme=RAPIDITY)
| Constructor from vector of bin edges.
virtual const Projection * | clone () const
| Clone on the heap.
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

void | project (const Event &e)
| Apply the projection to the event. More...
int | compare (const Projection &p) const
| Compare projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Calculate the jet shape.

Calculate the differential and integral jet shapes in for a given set of jets. This particular jet shape projection calculates jet shapes relative to jet centroids, using only the particles associated to each jet, for the hardest jets.

The rapidity scheme ( or ) has to be specified when invoking the constructor.

The differential jet shape around a given jet axis at distance interval is defined as

with and .

The integral jet shape around a given jet axes until distance is defined as

with and .

The constructor expects also the binning in radius to be supplied.

## Member Function Documentation

void Rivet::JetShape::calc | ( | const Jets & | jets | ) |

Do the calculation directly on a supplied collection of Jet objects.

Todo:
  Introduce a better (i.e. more safe and general) eta/y selection mechanism: MomentumFilter

References clear(), Rivet::FourVector::eta(), Rivet::index_between(), Rivet::inRange(), Rivet::integral(), Rivet::Particle::momentum(), Rivet::Jet::momentum(), numBins(), Rivet::Jet::particles(), Rivet::FourMomentum::pT(), and Rivet::FourMomentum::rapidity().

Referenced by project().

void Rivet::JetShape::project | ( | const Event & | e | ) |

protected virtual

Apply the projection to the event.

Todo:
  Provide int and diff jet shapes with some sort of area normalisation?

Implements Rivet::Projection.

References calc().

The documentation for this class was generated from the following files:

- include/Rivet/Projections/JetShape.hh
- src/Projections/JetShape.cc